Type to search.

Update a tool

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Update an existing tool. Use this endpoint to modify any aspect of the tool's configuration or metadata. To learn more about Agent Builder tools, refer to the tools documentation.

Required privileges

Privileges agentBuilder:manageTools

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

toolId string required

The unique identifier of the tool to update.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

configuration map string to object

Updated tool-specific configuration parameters. See examples for details.

description string

Updated description of what the tool does.

tags string[]

Updated tags for categorizing and organizing tools.

Response

200

Indicates a successful response

application/json